% Program demo_1_2
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
% Computation of Discrete Fourier Transform (DFT)
clear all close all
n = 0:63; % Time index n
x=sin(2*pi*4*n/64)+0.6*sin(2*pi*8*n/64) + 0.8*sin(2*pi*18.5*n/64);
figure (1)
subplot(2,1,1), stem(n,x), xlabel('Time index n'), ylabel('x[n]'), axis([0,63,-3,3])
X = fft(x); % Computation of DFT
k = n;     % Frequency index k
subplot(2,1,2), stem(k,abs(X)), xlabel('Frequency index k'), ylabel('|(X[k])|'), axis([0,63,0,40])
